<!DOCTYPE html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="../../../../favicon.ico">

    <title>Advance Network Scanner</title>

    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <!-- Custom styles for this template -->
    <link href="/static/jumbotron-narrow.css" rel="stylesheet">
</head>

<body>

    <div class="container">
        <div class="header clearfix">
            <nav>
              <ul class="nav nav-pills float-right">
                <li class="nav-item">
                  <a class="nav-link active" href="/">Scan<span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="/recent">Recent</a>
                </li>
                <li class="nav-item">
      
                </li>
              </ul>
            </nav>
            <h3 class="text-muted">Advance Network Scanner</h3>
          </div>
        <!-- Rest of your HTML code -->

        <div class="container" style="padding-top: 50px;">
            <!-- Rest of your HTML code -->

            <!-- Port Information -->
            <h3>Port Information</h3>
            <table class="table">
                <tr>
                    <th>Port Number</th>
                    <td>{{port.number}}</td>
                </tr>
                <tr>
                    <th>State</th>
                    <td>{{port.state}}</td>
                </tr>
                <tr>
                    <th>Service Name</th>
                    <td>{{port.service_name}}</td>
                </tr>
                <tr>
                    <th>Product</th>
                    <td>{{port.product}}</td>
                </tr>
                <tr>
                    <th>Version</th>
                    <td>{{port.version}}</td>
                </tr>
                <tr>
                    <th>Extra Info</th>
                    <td>{{port.extra_info}}</td>
                </tr>
            </table>

            <!-- Vulnerabilities Information -->
            {% if port.vulnerabilities|length > 0 %}
            <h3>Vulnerabilities Found</h3>
            <table class="table" id="vulnerabilitiesTable">
                <tr>
                    <th>Name</th>
                    <th>Score</th>
                    <th>URL</th>
                    <th>Exploit</th>
                </tr>
                <!-- Dynamically generate these rows based on your database data -->
                {% for vulnerability in port.vulnerabilities %}
                <tr>
                    <td>{{ vulnerability.name }}</td>
                    <td>{{ vulnerability.score }}</td>
                    <td><a href="{{ vulnerability.url }}">{{ vulnerability.url }}</a></td>
                    <td>{{ vulnerability.exploit }}</td>
                </tr>
                {% endfor %}
            </table>
            {% endif %}

            <!-- Rest of your HTML code -->
        </div>

        <!-- Rest of your HTML code -->


    </div> <!-- /container -->

    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
        integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        crossorigin="anonymous"></script>


</body>

</html>